Actualizar la contraseña de un usuario
curl --request PATCH \
--url https://identity.sandbox.lerian.net/v1/users/{id}/update-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newPassword": "newpassword",
"oldPassword": "oldpassword"
}
'import requests
url = "https://identity.sandbox.lerian.net/v1/users/{id}/update-password"
payload = {
"newPassword": "newpassword",
"oldPassword": "oldpassword"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newPassword: 'newpassword', oldPassword: 'oldpassword'})
};
fetch('https://identity.sandbox.lerian.net/v1/users/{id}/update-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Actualizar la contraseña de un usuario
Utiliza este endpoint para cambiar la contraseña de un usuario proporcionando la contraseña actual junto con la nueva. Es ideal para actualizaciones de contraseña autoservicio.
PATCH
/
v1
/
users
/
{id}
/
update-password
Actualizar la contraseña de un usuario
Autorizaciones
El token de autorización en formato 'Bearer '.
Parámetros de ruta
Identificador único del usuario que deseas consultar.
Cuerpo
application/json
Respuesta
Si la solicitud se realiza correctamente, recibirás una respuesta vacía.
¿Esta página le ayudó?
⌘I

